import { z } from "zod";

const parser = z.object({
  roomId: z.string().regex(/^[a-f0-9]{32}$/),
});

export default defineEventHandler(async (event) => {
  const body = parser.parse(await readBody(event));

  return await $fetch("http:127.0.0.1:4242/?roomId=" + body.roomId);
});
