declare module "h3" {
  export interface Context {
    userId: string;
  }
}

export default defineEventHandler(async (event) => {
  let cookie = getCookie(event, "userId");
  if (!cookie) {
    cookie = crypto.randomUUID();
    setCookie(event, "userId", cookie);
  }
  event.context.userId = cookie;
});
