export default function useNoise() {
  return {
    encrypt(data: string) {
      const key = crypto.getRandomValues(new Uint8Array(data.length));
      let out = "";

      for (let i = 0; i < data.length; i++) {
        out += (data.charCodeAt(i) ^ key[i]).toString(16).padStart(2, "0");
      }
      return out;
    },
  };
}
