import path from "path";

export default defineNuxtConfig({
  devtools: { enabled: true },
  experimental: {
    typedPages: true,
  },
  tailwindcss: {
    config: {
      content: ["./server/**/*.ts"],
    },
  },

  modules: ["@nuxtjs/tailwindcss", "@vueuse/nuxt"],
});
