import { getWorker } from "~/server/workers";

export default defineEventHandler(async (event) => {
  const id = checkRoomId(event);
  const worker = await getWorker(id);
  return worker.pipe.call("render", event.context.userId);
});
