import { type H3Event } from "h3";
export function checkRoomId(event: H3Event) {
  const id = getRouterParam(event, "id");
  if (!id?.match(/^[a-f0-9]{32}$/)) {
    throw createError({
      statusCode: 400,
      message: "Invalid room id",
    });
  }
  return id;
}
